INSTALLPKG(8)

NAME
installpkg - install Zenwalk amd Slackware packages

SYNOPSIS
installpkg [--warn|-w] [--no-verbose|-V] [--root /otherroot|-r /otherroot] [--ask|-a] [--raw|-R] [--fast|-f] [--no-overwrite|-O] packagename [packagename2 ...]

DESCRIPTION
installpkg installs a single or multiple binary packages designed for use with the Zenwalk Linux and compatible distributions. Compression method used in the package is detected from filename extension:

.tgz
    gzip compressed tar archive

.tlz
    LZMA compressed tar archive

.tbz
    bzip2 compressed tar archive

.txz
    xz compressed tar archive

For more information on different package compression methods see makepkg(8).

installpkg never upgrades any packages. If a version of the package is already installed, installpkg installs the new package without removing the old package. Usually some files overlap between different versions of the same package. Overlapping files are overwritten without warnings.This behaviour can be controlled to an extent by --no-overwrite option (see OPTIONS below).

OPTIONS

-w, --warn
    Turn on the warn mode( see MODES below).Generate a report to the standard output about which files and directories would be removed or overwritten if you install the package(s). Do not actually install it.

-a,--ask
    Turn on the interactive mode(see MODES below).Clear the screen and ask user to confirm before each package is installed

-V, --no-verbose
    Turn on the quiet mode ( see MODES below).Supress all status messages during installation and display only a summary of error messages , if any, for each package (see ERROR REPORT below). If you want installpkg to be really quiet, redirect the output to /dev/null.

-r,--raw
    Turn on the raw mode(see MODES below).Do not show the default spinning bar during installation.

-R /otherroot, --root /otherroot
    Install using a location other than / (the default) as the root of the filesystem to install on. In the example given, use /otherroot instead. Setting the ROOT environment variable does the same thing.This option overrides the ROOT environment variable

--fast, -f
    Do not create backups for overwritten files and removed symlinks before installation thereby making installpkg a little faster, use of this option is not advisable.

--no-overwrite, -O
    Do not install if the package overwrites any file on the system( this option is experimental and under development, the behaviour shall be modified in future )

MODES
installpkg functions in various modes which are mutually exclusive.These modes control the behaviour of installpkg such as the output produced by it, the action taken for each package,etc

  SPIN MODE
This is the default mode.In this mode, installpkg installs packages while writing progress on standard output and shows a spinning bar while waiting for processes to complete.

  WARN MODE
This mode is turned on by --warn or -w option.In this mode, packages are not installed but a list of files and symlinks
 that will be removed or overwritten during installation for each package is printed on standard output.Each file and symlink is preceded by words that represent the fate of the file or symlink if installpkg would be called for those packages in any other mode other than warn mode The output is of the format words:filename

words can be

**WIPED-OUT
    The file will be removed completely to allow creation of new symbolic links

NEW-SYMLINK
    A new symbolic link filename will be created

**OVERWRITTEN
    The file will be replaced with file from the package

NEW-FILE
     The file will be newly created from the package if installed

  ASK MODE
this mode is turned on by --ask or -a. This is interactive mode where screen is saved and cleared.A progress bar for number of packages installed or processed is displayed. installpkg displays information about each package and asks user to confirm before actually installing the package.

  RAW MODE
This mode is turned on by --raw or -r This mode turns off the display of spinning bar but produces same output as the default mode otherwise.

  QUIET MODE
This mode is turned on by --no-verbose or -V. All the messages are suppressed and only a summary of error messages are displayed after all packages have been processed (see ERROR REPORT below)

ENVIRONMENT

ROOT
    Setting this is equivalent to using the --root /otherroot command line parameter.

SOURCE
    define a different location for source scripts and other files required by installpkg, default is /usr/libexec/zenpakt

USERPATH
    Add preffered search path for commands. It is a colon-separated list of directories in which installpkg will look for commands in addition to other usual directories which are internally defined.By default installpkg looks in /bin,/sbin,/usr/bin,/usr/sbin,/usr/local/bin,/usr/local/sbin. A zero-length (null) directory name in the value of USERPATH indicates the current directory.

EXIT STATUS
installpkg can install more than one package at a time.The exit status is zero unless their is a preprocessing error or an error while processing a package. Preprocessing errors occur before any package is processed and cause installpkg to exit immediately without processing any package with a non zero exit status. An error while processing a package causes installpkg to jump to next package.The error is reported on standard error unless quiet
 mode is not enabled.A summary of error messages is reported on standard error after processing all packages (see ERROR REPORT below).The exit status is set corresponding to the last error occured while
 processing a package.The exit statuses are given below

    •   1 failed to source functions.

    •   2 you are not root

    •   3 invalid arguments specified

    •   4 tar not found in PATH

    •   5 database locked by another process

    •   6 failed to initialize package databse

    •   10 interactive mode needs standard input connected to the terminal

    •   11 interactive mode needs standard output connected to the terminal"

    •   12 interactive mode needs standard error connected to the terminal"

    •   13 external compression utility missing

    •   30 package is not a valid file

    •   31 invalid package extension;package doesnot end in .tgz,.txz,.tlz or .tbz

    •   61 failed to extract install/

    •   62 couldnot fetch filelist ,compression envelope possibly corrupt

    •   63 writing package meta database failed

    •   64 trying to overwrite an existing file in parnoid mode(disabled by --fast|-f)

    •   65 couldnot remove an existing symlink with same name as a file in the package

    •   66 installation failed; unable to extract package files

    •   71 configuration failed; failed to copy doinst.sh to scripts directory

    •   72 configuration failed; error executing doinst.sh

    •   73 configuration failed;failed to extract install/

ERROR REPORT
installpkg can take multiple package names as argument and thus install multiple packages when called once.The errors occuring in processing one package causes installpkg
 to jump to the next package argument.An error message is displayed if installpkg is not in quiet mode ( see MODES above).In all modes, except warn mode, a summary or report of errors occured for each package is displayed after all package have been processed. The error report is generally of the format:

packagename: error_status ( error_message )

packagename is name of the package, error_status is the exit or error status related to the error that occured while processing the package, and error_message is a short message explaining the error that had occured

EXAMPLES

installpkg -ar /mnt package
    install package using /mnt as root of file system in ask mode

installpkg -V package1 package2
    install package1 and package2 in quiet mode

BUGS
Use upgradepkg --install-new instead of installpkg unless you have a special reason to use. installpkg currently does not check if a package with identical name is already installed and will silently overwrite its database entry. If the old package and new package have differences in their filelists, the files that no longer exist in the newer package will vanish from the package database.

AUTHORS
Anshul Narula <sunny_delhi18@yahoo.com>

SEE ALSO
installpkg(8), removepkg(8), upgradepkg(8), explodepkg(1), makepkg(8)